MCP Reference: us-central1-aiplatform.googleapis.com

A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

Server Setup

You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.

Model Context Protocol (MCP) server that provides Vertex AI tools for building, deploying, and scaling both predictive machine learning and generative AI applications on Google Cloud.

Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The us-central1-aiplatform.googleapis.com MCP server has the following MCP endpoint:

  • https://us-central1-aiplatform.googleapis.com/mcp

MCP Tools

An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

The us-central1-aiplatform.googleapis.com MCP server has the following tools:

MCP Tools
create_endpoint Creates an Endpoint.
get_endpoint Gets an Endpoint.
list_endpoints Lists Endpoints in a Location.
update_endpoint Updates an Endpoint.
delete_endpoint Deletes an Endpoint.
create_prompt Creates a new managed prompt. Saves the display_name, template text, system instructions, and inference settings (e.g. temperature). Use this to persist a prompt for future versioning.
get_prompt Retrieves full details of a prompt including metadata, labels, and configuration. Use this to inspect a prompt's settings or retrieve its full resource name before an update.
list_prompts Lists all managed prompts in a location. Use this to browse existing prompts or map a user-friendly display_name to a technical resource name.
update_prompt Updates an existing prompt's fields (display_name, instructions, settings, or labels). This performs a patch; fields not specified remain unchanged.
delete_prompt Deletes a Prompt.

Get MCP tool specifications

To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.

Curl Request
                      curl --location 'https://us-central1-aiplatform.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'